export const structGCRefNumber: 0;
/**
 * @private
 */
export class GC extends AbstractStruct {
    get deleteSignature(): null;
    delete(): void;
    unDelete(): void;
    /**
     * @param {GC} right
     * @return {boolean}
     */
    mergeWith(right: GC): boolean;
    /**
     * @param {UpdateEncoderV1 | UpdateEncoderV2} encoder
     * @param {number} offset
     * @param {boolean} hashMode
     */
    write(encoder: UpdateEncoderV1 | UpdateEncoderV2, offset: number, hashMode?: boolean): void;
    /**
     * @param {Transaction} transaction
     * @param {StructStore} store
     * @return {null | ID}
     */
    getMissing(transaction: Transaction, store: StructStore): null | ID;
}
import { AbstractStruct } from "./AbstractStruct.js";
import { UpdateEncoderV1 } from "../utils/UpdateEncoder.js";
import { UpdateEncoderV2 } from "../utils/UpdateEncoder.js";
import { Transaction } from "../utils/Transaction.js";
import { StructStore } from "../utils/StructStore.js";
import { ID } from "../utils/ID.js";
